summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: e9c3dd6)
raw | patch | inline | side by side (parent: e9c3dd6)
author | Sebastian Harl <sh@tokkee.org> | |
Sun, 4 Oct 2009 14:32:29 +0000 (16:32 +0200) | ||
committer | Sebastian Harl <sh@tokkee.org> | |
Sun, 4 Oct 2009 14:32:29 +0000 (16:32 +0200) |
debian/changelog | patch | blob | history | |
debian/rrdcached.postrm | [new file with mode: 0644] | patch | blob |
diff --git a/debian/changelog b/debian/changelog
index 942bc220305484d1f8cf7b203f80b57b5302a0b4..51b03604319f989466af993aabfc69330b4140d0 100644 (file)
--- a/debian/changelog
+++ b/debian/changelog
restart, force-reload. The script is based on the collectd init script.
* debian/rrdtool.install:
- Install manpages in section 3 as well.
+ * debian/rrdcached.postrm:
+ - Remove /var/lib/rrdcached/ on purge.
[ Bernd Zeimetz ]
* debian/rules, debian/control:
- Build Lua bindings and put them into appropriate packages.
- -- Sebastian Harl <tokkee@debian.org> Sun, 04 Oct 2009 15:29:27 +0200
+ -- Sebastian Harl <tokkee@debian.org> Sun, 04 Oct 2009 16:31:41 +0200
rrdtool (1.3.8-1) unstable; urgency=low
diff --git a/debian/rrdcached.postrm b/debian/rrdcached.postrm
--- /dev/null
+++ b/debian/rrdcached.postrm
@@ -0,0 +1,42 @@
+#! /bin/bash
+# postrm script for rrdcached
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge)
+ rm -rf /var/lib/rrdcached/
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+